| Home | Libraries | People | FAQ | More

## Function template upper_bound

boost::compute::upper_bound

## Synopsis

    // In header: <boost/compute/algorithm/upper_bound.hpp>

    template<typename InputIterator, typename T>
      InputIterator
      upper_bound(InputIterator first, InputIterator last, const T & value,
                  command_queue & queue = system::default_queue());

## Description

Returns an iterator pointing to the first element in the sorted range [`first`, `last`) that is not less than or equal to `value`.

Space complexity: \Omega(1)